Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractConstants

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractConstants

public class ContractConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `XML_CONSIST_BAlANCE`
  Баланс
  `static final int`
  `XML_CONSIST_COMMENT`
  Комментарии к договору из таблицы в БД contract_comment
  `static final int`
  `XML_CONSIST_CUSTOMER`
  клиент
  `static final int`
  `XML_CONSIST_OBJECT`
  Объекты договора
  `static final int`
  `XML_CONSIST_PARAMS`
  Параметры договора( e-mail,телефоны, текстовые и т.п.)
  `static final int`
  `XML_CONSIST_SERVICE`
  Текущие услуги
  `static final int`
  `XML_CONSIST_TARIFF`
  Тарифы
  `static final int`
  `XML_CONSIST_TARIFF_OPTION`
  Тарифные опции
  `static final int`
  `XML_CONSIST_TARIFF_PERSONAL`
  Персональные тарифы
  `static final int`
  `XML_CONSIST_VALUES`
  Значения договора( период действия, статус, комментарий, название, лимит, пароль, группы, режим баланса и тд)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XML_CONSIST_PARAMS

    public static final int XML_CONSIST_PARAMS
    Параметры договора( e-mail,телефоны, текстовые и т.п.)
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_VALUES

    public static final int XML_CONSIST_VALUES
    Значения договора( период действия, статус, комментарий, название, лимит, пароль, группы, режим баланса и тд)
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_BAlANCE

    public static final int XML_CONSIST_BAlANCE
    Баланс
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_TARIFF

    public static final int XML_CONSIST_TARIFF
    Тарифы
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_TARIFF_PERSONAL

    public static final int XML_CONSIST_TARIFF_PERSONAL
    Персональные тарифы
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_TARIFF_OPTION

    public static final int XML_CONSIST_TARIFF_OPTION
    Тарифные опции
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_SERVICE

    public static final int XML_CONSIST_SERVICE
    Текущие услуги
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_COMMENT

    public static final int XML_CONSIST_COMMENT
    Комментарии к договору из таблицы в БД contract_comment
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_OBJECT

    public static final int XML_CONSIST_OBJECT
    Объекты договора
    See Also:
      - Constant Field Values

  - ### XML_CONSIST_CUSTOMER

    public static final int XML_CONSIST_CUSTOMER
    клиент
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContractConstants

    public ContractConstants()